Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlCubicBSplineInterpolation Class Reference

`#include <GlCubicBSplineInterpolation.h>`

Inheritance diagram for tlp::GlCubicBSplineInterpolation:
[legend]
Collaboration diagram for tlp::GlCubicBSplineInterpolation:
[legend]

List of all members.

## Public Member Functions

- GlCubicBSplineInterpolation (const std::vector< Coord > &pointsToInterpolate, const Color &startColor, const Color &endColor, const float startSize, const float endSize, const unsigned int nbCurvePoints=100)

## Detailed Description

A class to draw a curve interpolating a set of points with C^2 continuity

This class allows to draw a cubic B-spline interpolating a set of points. The resulting curve is C^2 continous, so there is no discontinuities in curvature.

## Constructor & Destructor Documentation

tlp::GlCubicBSplineInterpolation::GlCubicBSplineInterpolation | ( | const std::vector< Coord > & | pointsToInterpolate,
|  | const Color & | startColor,
|  | const Color & | endColor,
|  | const float | startSize,
|  | const float | endSize,
|  | const unsigned int | nbCurvePoints = `100`
| ) |  |

GlCubicBSplineInterpolation constructor

Parameters:

  pointsToInterpolate | the set of points to interpolate
  startColor | the color at the start of the curve
  endColor | the color at the end of the curve
  startSize | the width at the start of the curve
  endSize | the width at the end of the curve
  nbCurvePoints | the number of curve points to generate

Tulip Software by LaBRI Visualization Team 2001 - 2012